Index: /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable.Views/3.3/HeuristicLab.Problems.Programmable.Views-3.3.csproj
===================================================================
--- /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable.Views/3.3/HeuristicLab.Problems.Programmable.Views-3.3.csproj	(revision 11813)
+++ /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable.Views/3.3/HeuristicLab.Problems.Programmable.Views-3.3.csproj	(revision 11814)
@@ -110,15 +110,15 @@
       <DependentUpon>ProblemDefinitionScriptView.cs</DependentUpon>
     </Compile>
-    <Compile Include="MultiObjectiveScriptableProblemView.cs">
+    <Compile Include="MultiObjectiveProgrammableProblemView.cs">
       <SubType>UserControl</SubType>
     </Compile>
-    <Compile Include="MultiObjectiveScriptableProblemView.Designer.cs">
-      <DependentUpon>MultiObjectiveScriptableProblemView.cs</DependentUpon>
+    <Compile Include="MultiObjectiveProgrammableProblemView.Designer.cs">
+      <DependentUpon>MultiObjectiveProgrammableProblemView.cs</DependentUpon>
     </Compile>
-    <Compile Include="SingleObjectiveScriptableProblemView.cs">
+    <Compile Include="SingleObjectiveProgrammableProblemView.cs">
       <SubType>UserControl</SubType>
     </Compile>
-    <Compile Include="SingleObjectiveScriptableProblemView.Designer.cs">
-      <DependentUpon>SingleObjectiveScriptableProblemView.cs</DependentUpon>
+    <Compile Include="SingleObjectiveProgrammableProblemView.Designer.cs">
+      <DependentUpon>SingleObjectiveProgrammableProblemView.cs</DependentUpon>
     </Compile>
     <Compile Include="Properties\AssemblyInfo.cs" />
Index: /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable.Views/3.3/MultiObjectiveProgrammableProblemView.Designer.cs
===================================================================
--- /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable.Views/3.3/MultiObjectiveProgrammableProblemView.Designer.cs	(revision 11814)
+++ /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable.Views/3.3/MultiObjectiveProgrammableProblemView.Designer.cs	(revision 11814)
@@ -0,0 +1,62 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.Problems.Programmable.Views {
+  partial class MultiObjectiveProgrammableProblemView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.SuspendLayout();
+      // 
+      // ProgrammableProblemView
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Name = "ProgrammableProblemView";
+      this.Size = new System.Drawing.Size(626, 413);
+      this.ResumeLayout(false);
+
+    }
+
+    #endregion
+
+  }
+}
Index: /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable.Views/3.3/MultiObjectiveProgrammableProblemView.cs
===================================================================
--- /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable.Views/3.3/MultiObjectiveProgrammableProblemView.cs	(revision 11814)
+++ /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable.Views/3.3/MultiObjectiveProgrammableProblemView.cs	(revision 11814)
@@ -0,0 +1,75 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Windows.Forms;
+using HeuristicLab.Core.Views;
+using HeuristicLab.MainForm;
+using HeuristicLab.MainForm.WindowsForms;
+
+namespace HeuristicLab.Problems.Programmable.Views {
+  [View("Multi-Objective Programmable Problem View")]
+  [Content(typeof(MultiObjectiveProgrammableProblem), true)]
+  public partial class MultiObjectiveProgrammableProblemView : ItemView {
+    protected ViewHost ScriptView;
+
+    public new MultiObjectiveProgrammableProblem Content {
+      get { return (MultiObjectiveProgrammableProblem)base.Content; }
+      set { base.Content = value; }
+    }
+
+    public MultiObjectiveProgrammableProblemView() {
+      InitializeComponent();
+      ScriptView = new ViewHost() { ViewsLabelVisible = false, Dock = DockStyle.Fill };
+      Controls.Add(ScriptView);
+    }
+
+    protected override void OnContentChanged() {
+      base.OnContentChanged();
+      if (Content == null) {
+        ScriptView.Content = null;
+      } else {
+        ScriptView.Content = Content.ProblemScript;
+        Caption = Content.Name;
+      }
+    }
+
+    protected override void RegisterContentEvents() {
+      //Content.ProblemDefinitionParameter.ValueChanged += ProblemDefinitionParameterOnValueChanged;
+      Content.NameChanged += ContentOnNameChanged;
+      base.RegisterContentEvents();
+    }
+
+    protected override void DeregisterContentEvents() {
+      base.DeregisterContentEvents();
+      //Content.ProblemDefinitionParameter.ValueChanged -= ProblemDefinitionParameterOnValueChanged;
+      Content.NameChanged -= ContentOnNameChanged;
+    }
+
+    //private void ProblemDefinitionParameterOnValueChanged(object sender, EventArgs eventArgs) {
+    //  DefinitionView.Content = Content.ProblemDefinitionParameter.Value;
+    //}
+
+    private void ContentOnNameChanged(object sender, EventArgs eventArgs) {
+      Caption = Content.Name;
+    }
+  }
+}
Index: anches/ProgrammableProblem/HeuristicLab.Problems.Programmable.Views/3.3/MultiObjectiveScriptableProblemView.Designer.cs
===================================================================
--- /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable.Views/3.3/MultiObjectiveScriptableProblemView.Designer.cs	(revision 11813)
+++ 	(revision )
@@ -1,62 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-namespace HeuristicLab.Problems.Programmable.Views {
-  partial class MultiObjectiveScriptableProblemView {
-    /// <summary> 
-    /// Required designer variable.
-    /// </summary>
-    private System.ComponentModel.IContainer components = null;
-
-    /// <summary> 
-    /// Clean up any resources being used.
-    /// </summary>
-    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
-    protected override void Dispose(bool disposing) {
-      if (disposing && (components != null)) {
-        components.Dispose();
-      }
-      base.Dispose(disposing);
-    }
-
-    #region Component Designer generated code
-
-    /// <summary> 
-    /// Required method for Designer support - do not modify 
-    /// the contents of this method with the code editor.
-    /// </summary>
-    private void InitializeComponent() {
-      this.SuspendLayout();
-      // 
-      // ProgrammableProblemView
-      // 
-      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
-      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.Name = "ProgrammableProblemView";
-      this.Size = new System.Drawing.Size(626, 413);
-      this.ResumeLayout(false);
-
-    }
-
-    #endregion
-
-  }
-}
Index: anches/ProgrammableProblem/HeuristicLab.Problems.Programmable.Views/3.3/MultiObjectiveScriptableProblemView.cs
===================================================================
--- /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable.Views/3.3/MultiObjectiveScriptableProblemView.cs	(revision 11813)
+++ 	(revision )
@@ -1,75 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Windows.Forms;
-using HeuristicLab.Core.Views;
-using HeuristicLab.MainForm;
-using HeuristicLab.MainForm.WindowsForms;
-
-namespace HeuristicLab.Problems.Programmable.Views {
-  [View("Multi-Objective Programmable Problem View")]
-  [Content(typeof(MultiObjectiveScriptableProblem), true)]
-  public partial class MultiObjectiveScriptableProblemView : ItemView {
-    protected ViewHost ScriptView;
-
-    public new MultiObjectiveScriptableProblem Content {
-      get { return (MultiObjectiveScriptableProblem)base.Content; }
-      set { base.Content = value; }
-    }
-
-    public MultiObjectiveScriptableProblemView() {
-      InitializeComponent();
-      ScriptView = new ViewHost() { ViewsLabelVisible = false, Dock = DockStyle.Fill };
-      Controls.Add(ScriptView);
-    }
-
-    protected override void OnContentChanged() {
-      base.OnContentChanged();
-      if (Content == null) {
-        ScriptView.Content = null;
-      } else {
-        ScriptView.Content = Content.ProblemScript;
-        Caption = Content.Name;
-      }
-    }
-
-    protected override void RegisterContentEvents() {
-      //Content.ProblemDefinitionParameter.ValueChanged += ProblemDefinitionParameterOnValueChanged;
-      Content.NameChanged += ContentOnNameChanged;
-      base.RegisterContentEvents();
-    }
-
-    protected override void DeregisterContentEvents() {
-      base.DeregisterContentEvents();
-      //Content.ProblemDefinitionParameter.ValueChanged -= ProblemDefinitionParameterOnValueChanged;
-      Content.NameChanged -= ContentOnNameChanged;
-    }
-
-    //private void ProblemDefinitionParameterOnValueChanged(object sender, EventArgs eventArgs) {
-    //  DefinitionView.Content = Content.ProblemDefinitionParameter.Value;
-    //}
-
-    private void ContentOnNameChanged(object sender, EventArgs eventArgs) {
-      Caption = Content.Name;
-    }
-  }
-}
Index: /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable.Views/3.3/SingleObjectiveProgrammableProblemView.Designer.cs
===================================================================
--- /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable.Views/3.3/SingleObjectiveProgrammableProblemView.Designer.cs	(revision 11814)
+++ /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable.Views/3.3/SingleObjectiveProgrammableProblemView.Designer.cs	(revision 11814)
@@ -0,0 +1,62 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.Problems.Programmable.Views {
+  partial class SingleObjectiveProgrammableProblemView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.SuspendLayout();
+      // 
+      // ProgrammableProblemView
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Name = "ProgrammableProblemView";
+      this.Size = new System.Drawing.Size(626, 413);
+      this.ResumeLayout(false);
+
+    }
+
+    #endregion
+
+  }
+}
Index: /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable.Views/3.3/SingleObjectiveProgrammableProblemView.cs
===================================================================
--- /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable.Views/3.3/SingleObjectiveProgrammableProblemView.cs	(revision 11814)
+++ /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable.Views/3.3/SingleObjectiveProgrammableProblemView.cs	(revision 11814)
@@ -0,0 +1,75 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Windows.Forms;
+using HeuristicLab.Core.Views;
+using HeuristicLab.MainForm;
+using HeuristicLab.MainForm.WindowsForms;
+
+namespace HeuristicLab.Problems.Programmable.Views {
+  [View("Single-Objective Scriptable Problem View")]
+  [Content(typeof(SingleObjectiveProgrammableProblem), true)]
+  public partial class SingleObjectiveProgrammableProblemView : ItemView {
+    protected ViewHost ScriptView;
+
+    public new SingleObjectiveProgrammableProblem Content {
+      get { return (SingleObjectiveProgrammableProblem)base.Content; }
+      set { base.Content = value; }
+    }
+
+    public SingleObjectiveProgrammableProblemView() {
+      InitializeComponent();
+      ScriptView = new ViewHost() { ViewsLabelVisible = false, Dock = DockStyle.Fill };
+      Controls.Add(ScriptView);
+    }
+
+    protected override void OnContentChanged() {
+      base.OnContentChanged();
+      if (Content == null) {
+        ScriptView.Content = null;
+      } else {
+        ScriptView.Content = Content.ProblemScript;
+        Caption = Content.Name;
+      }
+    }
+
+    protected override void RegisterContentEvents() {
+      //Content.ProblemDefinitionParameter.ValueChanged += ProblemDefinitionParameterOnValueChanged;
+      Content.NameChanged += ContentOnNameChanged;
+      base.RegisterContentEvents();
+    }
+
+    protected override void DeregisterContentEvents() {
+      base.DeregisterContentEvents();
+      //Content.ProblemDefinitionParameter.ValueChanged -= ProblemDefinitionParameterOnValueChanged;
+      Content.NameChanged -= ContentOnNameChanged;
+    }
+
+    //private void ProblemDefinitionParameterOnValueChanged(object sender, EventArgs eventArgs) {
+    //  DefinitionView.Content = Content.ProblemDefinitionParameter.Value;
+    //}
+
+    private void ContentOnNameChanged(object sender, EventArgs eventArgs) {
+      Caption = Content.Name;
+    }
+  }
+}
Index: anches/ProgrammableProblem/HeuristicLab.Problems.Programmable.Views/3.3/SingleObjectiveScriptableProblemView.Designer.cs
===================================================================
--- /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable.Views/3.3/SingleObjectiveScriptableProblemView.Designer.cs	(revision 11813)
+++ 	(revision )
@@ -1,62 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-namespace HeuristicLab.Problems.Programmable.Views {
-  partial class SingleObjectiveScriptableProblemView {
-    /// <summary> 
-    /// Required designer variable.
-    /// </summary>
-    private System.ComponentModel.IContainer components = null;
-
-    /// <summary> 
-    /// Clean up any resources being used.
-    /// </summary>
-    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
-    protected override void Dispose(bool disposing) {
-      if (disposing && (components != null)) {
-        components.Dispose();
-      }
-      base.Dispose(disposing);
-    }
-
-    #region Component Designer generated code
-
-    /// <summary> 
-    /// Required method for Designer support - do not modify 
-    /// the contents of this method with the code editor.
-    /// </summary>
-    private void InitializeComponent() {
-      this.SuspendLayout();
-      // 
-      // ProgrammableProblemView
-      // 
-      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
-      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.Name = "ProgrammableProblemView";
-      this.Size = new System.Drawing.Size(626, 413);
-      this.ResumeLayout(false);
-
-    }
-
-    #endregion
-
-  }
-}
Index: anches/ProgrammableProblem/HeuristicLab.Problems.Programmable.Views/3.3/SingleObjectiveScriptableProblemView.cs
===================================================================
--- /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable.Views/3.3/SingleObjectiveScriptableProblemView.cs	(revision 11813)
+++ 	(revision )
@@ -1,75 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Windows.Forms;
-using HeuristicLab.Core.Views;
-using HeuristicLab.MainForm;
-using HeuristicLab.MainForm.WindowsForms;
-
-namespace HeuristicLab.Problems.Programmable.Views {
-  [View("Single-Objective Scriptable Problem View")]
-  [Content(typeof(SingleObjectiveScriptableProblem), true)]
-  public partial class SingleObjectiveScriptableProblemView : ItemView {
-    protected ViewHost ScriptView;
-
-    public new SingleObjectiveScriptableProblem Content {
-      get { return (SingleObjectiveScriptableProblem)base.Content; }
-      set { base.Content = value; }
-    }
-
-    public SingleObjectiveScriptableProblemView() {
-      InitializeComponent();
-      ScriptView = new ViewHost() { ViewsLabelVisible = false, Dock = DockStyle.Fill };
-      Controls.Add(ScriptView);
-    }
-
-    protected override void OnContentChanged() {
-      base.OnContentChanged();
-      if (Content == null) {
-        ScriptView.Content = null;
-      } else {
-        ScriptView.Content = Content.ProblemScript;
-        Caption = Content.Name;
-      }
-    }
-
-    protected override void RegisterContentEvents() {
-      //Content.ProblemDefinitionParameter.ValueChanged += ProblemDefinitionParameterOnValueChanged;
-      Content.NameChanged += ContentOnNameChanged;
-      base.RegisterContentEvents();
-    }
-
-    protected override void DeregisterContentEvents() {
-      base.DeregisterContentEvents();
-      //Content.ProblemDefinitionParameter.ValueChanged -= ProblemDefinitionParameterOnValueChanged;
-      Content.NameChanged -= ContentOnNameChanged;
-    }
-
-    //private void ProblemDefinitionParameterOnValueChanged(object sender, EventArgs eventArgs) {
-    //  DefinitionView.Content = Content.ProblemDefinitionParameter.Value;
-    //}
-
-    private void ContentOnNameChanged(object sender, EventArgs eventArgs) {
-      Caption = Content.Name;
-    }
-  }
-}
Index: /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable/3.3/HeuristicLab.Problems.Programmable-3.3.csproj
===================================================================
--- /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable/3.3/HeuristicLab.Problems.Programmable-3.3.csproj	(revision 11813)
+++ /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable/3.3/HeuristicLab.Problems.Programmable-3.3.csproj	(revision 11814)
@@ -150,5 +150,5 @@
     <Compile Include="New\BasicProblem.cs" />
     <Compile Include="New\MultiObjectiveBasicProblem.cs" />
-    <Compile Include="New\MultiObjectiveScriptableProblem.cs" />
+    <Compile Include="New\MultiObjectiveProgrammableProblem.cs" />
     <Compile Include="New\Scripts\Templates\CompiledMultiObjectiveProblemDefinition.cs" />
     <Compile Include="New\Scripts\Templates\CompiledSingleObjectiveProblemDefinition.cs" />
@@ -176,5 +176,5 @@
     <Compile Include="New\OneMaxNew.cs" />
     <Compile Include="New\SingleObjectiveBasicProblem.cs" />
-    <Compile Include="New\SingleObjectiveScriptableProblem.cs" />
+    <Compile Include="New\SingleObjectiveProgrammableProblem.cs" />
     <Compile Include="New\Scripts\MultiObjectiveProblemDefinitionScript.cs" />
     <Compile Include="New\Scripts\SingleObjectiveProblemDefinitionScript.cs" />
Index: /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable/3.3/New/BasicProblem.cs
===================================================================
--- /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable/3.3/New/BasicProblem.cs	(revision 11813)
+++ /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable/3.3/New/BasicProblem.cs	(revision 11814)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Problems.Programmable {
   [StorableClass]
-  public abstract class ProgrammableProblem<TEncoding, TEvaluator> : HeuristicOptimizationProblem<TEvaluator, ISolutionCreator>, IProblemDefinition, IStorableContent
+  public abstract class BasicProblem<TEncoding, TEvaluator> : HeuristicOptimizationProblem<TEvaluator, ISolutionCreator>, IProblemDefinition, IStorableContent
     where TEncoding : class, IEncoding
     where TEvaluator : class, IEvaluator {
@@ -64,5 +64,5 @@
     }
 
-    protected ProgrammableProblem()
+    protected BasicProblem()
       : base() {
       Parameters.Add(new ValueParameter<TEncoding>("Encoding", "Describes the configuration of the encoding, what the variables are called, what type they are and their bounds if any."));
@@ -71,5 +71,5 @@
     }
 
-    protected ProgrammableProblem(ProgrammableProblem<TEncoding, TEvaluator> original, Cloner cloner)
+    protected BasicProblem(BasicProblem<TEncoding, TEvaluator> original, Cloner cloner)
       : base(original, cloner) {
       oldEncoding = cloner.Clone(original.oldEncoding);
@@ -78,5 +78,5 @@
 
     [StorableConstructor]
-    protected ProgrammableProblem(bool deserializing) : base(deserializing) { }
+    protected BasicProblem(bool deserializing) : base(deserializing) { }
     [StorableHook(HookType.AfterDeserialization)]
     private void AfterDeserialization() {
Index: /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable/3.3/New/MultiObjectiveBasicProblem.cs
===================================================================
--- /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable/3.3/New/MultiObjectiveBasicProblem.cs	(revision 11813)
+++ /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable/3.3/New/MultiObjectiveBasicProblem.cs	(revision 11814)
@@ -30,15 +30,15 @@
 namespace HeuristicLab.Problems.Programmable {
   [StorableClass]
-  public abstract class MultiObjectiveProgrammableProblem<TEncoding> : ProgrammableProblem<TEncoding, MultiObjectiveEvaluator>, IMultiObjectiveHeuristicOptimizationProblem, IMultiObjectiveProblemDefinition
+  public abstract class MultiObjectiveBasicProblem<TEncoding> : BasicProblem<TEncoding, MultiObjectiveEvaluator>, IMultiObjectiveHeuristicOptimizationProblem, IMultiObjectiveProblemDefinition
   where TEncoding : class, IEncoding {
     [StorableConstructor]
-    protected MultiObjectiveProgrammableProblem(bool deserializing) : base(deserializing) { }
+    protected MultiObjectiveBasicProblem(bool deserializing) : base(deserializing) { }
 
-    protected MultiObjectiveProgrammableProblem(MultiObjectiveProgrammableProblem<TEncoding> original, Cloner cloner)
+    protected MultiObjectiveBasicProblem(MultiObjectiveBasicProblem<TEncoding> original, Cloner cloner)
       : base(original, cloner) {
       ParameterizeOperators();
     }
 
-    protected MultiObjectiveProgrammableProblem()
+    protected MultiObjectiveBasicProblem()
       : base() {
       Parameters.Add(new ValueParameter<BoolArray>("Maximization", "Set to false if the problem should be minimized.", new BoolArray()));
Index: /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable/3.3/New/MultiObjectiveProgrammableProblem.cs
===================================================================
--- /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable/3.3/New/MultiObjectiveProgrammableProblem.cs	(revision 11814)
+++ /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable/3.3/New/MultiObjectiveProgrammableProblem.cs	(revision 11814)
@@ -0,0 +1,102 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Optimization;
+using HeuristicLab.Parameters;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+
+namespace HeuristicLab.Problems.Programmable {
+  [Item("Programmable Problem (multi-objective)", "Represents a multi-objective problem that can be programmed with a script.")]
+  [Creatable("1 Test")]
+  [StorableClass]
+  public sealed class MultiObjectiveProgrammableProblem : MultiObjectiveBasicProblem<IEncoding> {
+
+    private FixedValueParameter<MultiObjectiveProblemDefinitionScript> MultiObjectiveProblemScriptParameter {
+      get { return (FixedValueParameter<MultiObjectiveProblemDefinitionScript>)Parameters["ProblemScript"]; }
+    }
+
+    public MultiObjectiveProblemDefinitionScript ProblemScript {
+      get { return MultiObjectiveProblemScriptParameter.Value; }
+    }
+
+    public IMultiObjectiveProblemDefinition ProblemDefinition {
+      get { return MultiObjectiveProblemScriptParameter.Value; }
+    }
+
+    private MultiObjectiveProgrammableProblem(MultiObjectiveProgrammableProblem original, Cloner cloner)
+      : base(original, cloner) {
+      RegisterEvents();
+      try {
+        ProblemScript.Compile();
+      }
+      catch (InvalidOperationException) {
+        //Compilation error
+      }
+    }
+    public override IDeepCloneable Clone(Cloner cloner) { return new MultiObjectiveProgrammableProblem(this, cloner); }
+
+
+    [StorableConstructor]
+    private MultiObjectiveProgrammableProblem(bool deserializing) : base(deserializing) { }
+
+    public MultiObjectiveProgrammableProblem()
+      : base() {
+      Parameters.Add(new FixedValueParameter<MultiObjectiveProblemDefinitionScript>("ProblemScript", "Defines the problem.", new MultiObjectiveProblemDefinitionScript() { Name = Name }));
+      RegisterEvents();
+    }
+
+    [StorableHook(HookType.AfterDeserialization)]
+    private void AfterDeserialization() {
+      RegisterEvents();
+      try {
+        ProblemScript.Compile();
+      }
+      catch (InvalidOperationException) {
+        //Compilation error
+      }
+    }
+
+    private void RegisterEvents() {
+      ProblemScript.ProblemDefinitionChanged += (o, e) => OnProblemDefinitionChanged();
+    }
+
+    private void OnProblemDefinitionChanged() {
+      Encoding = ProblemDefinition.Encoding;
+      OnOperatorsChanged();
+      OnReset();
+    }
+
+    public override bool[] Maximization {
+      get { return ProblemDefinition.Maximization; }
+    }
+
+    public override double[] Evaluate(Individual individual, IRandom random) {
+      return ProblemDefinition.Evaluate(individual, random);
+    }
+
+    public override void Analyze(Individual[] individuals, double[][] qualities, ResultCollection results) {
+      ProblemDefinition.Analyze(individuals, qualities, results);
+    }
+  }
+}
Index: anches/ProgrammableProblem/HeuristicLab.Problems.Programmable/3.3/New/MultiObjectiveScriptableProblem.cs
===================================================================
--- /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable/3.3/New/MultiObjectiveScriptableProblem.cs	(revision 11813)
+++ 	(revision )
@@ -1,102 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using HeuristicLab.Common;
-using HeuristicLab.Core;
-using HeuristicLab.Optimization;
-using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-
-namespace HeuristicLab.Problems.Programmable {
-  [Item("Scriptable Problem (multi-objective)", "Represents a multi-objective problem that can be scripted.")]
-  [Creatable("1 Test")]
-  [StorableClass]
-  public sealed class MultiObjectiveScriptableProblem : MultiObjectiveProgrammableProblem<IEncoding> {
-
-    private FixedValueParameter<MultiObjectiveProblemDefinitionScript> MultiObjectiveProblemScriptParameter {
-      get { return (FixedValueParameter<MultiObjectiveProblemDefinitionScript>)Parameters["ProblemScript"]; }
-    }
-
-    public MultiObjectiveProblemDefinitionScript ProblemScript {
-      get { return MultiObjectiveProblemScriptParameter.Value; }
-    }
-
-    public IMultiObjectiveProblemDefinition ProblemDefinition {
-      get { return MultiObjectiveProblemScriptParameter.Value; }
-    }
-
-    private MultiObjectiveScriptableProblem(MultiObjectiveScriptableProblem original, Cloner cloner)
-      : base(original, cloner) {
-      RegisterEvents();
-      try {
-        ProblemScript.Compile();
-      }
-      catch (InvalidOperationException) {
-        //Compilation error
-      }
-    }
-    public override IDeepCloneable Clone(Cloner cloner) { return new MultiObjectiveScriptableProblem(this, cloner); }
-
-
-    [StorableConstructor]
-    private MultiObjectiveScriptableProblem(bool deserializing) : base(deserializing) { }
-
-    public MultiObjectiveScriptableProblem()
-      : base() {
-      Parameters.Add(new FixedValueParameter<MultiObjectiveProblemDefinitionScript>("ProblemScript", "Defines the problem.", new MultiObjectiveProblemDefinitionScript() { Name = Name }));
-      RegisterEvents();
-    }
-
-    [StorableHook(HookType.AfterDeserialization)]
-    private void AfterDeserialization() {
-      RegisterEvents();
-      try {
-        ProblemScript.Compile();
-      }
-      catch (InvalidOperationException) {
-        //Compilation error
-      }
-    }
-
-    private void RegisterEvents() {
-      ProblemScript.ProblemDefinitionChanged += (o, e) => OnProblemDefinitionChanged();
-    }
-
-    private void OnProblemDefinitionChanged() {
-      Encoding = ProblemDefinition.Encoding;
-      OnOperatorsChanged();
-      OnReset();
-    }
-
-    public override bool[] Maximization {
-      get { return ProblemDefinition.Maximization; }
-    }
-
-    public override double[] Evaluate(Individual individual, IRandom random) {
-      return ProblemDefinition.Evaluate(individual, random);
-    }
-
-    public override void Analyze(Individual[] individuals, double[][] qualities, ResultCollection results) {
-      ProblemDefinition.Analyze(individuals, qualities, results);
-    }
-  }
-}
Index: /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable/3.3/New/OneMaxNew.cs
===================================================================
--- /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable/3.3/New/OneMaxNew.cs	(revision 11813)
+++ /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable/3.3/New/OneMaxNew.cs	(revision 11814)
@@ -32,5 +32,5 @@
   [Creatable("1 Test")]
   [StorableClass]
-  public class OneMaxNew : SingleObjectiveProgrammableProblem<BinaryEncoding> {
+  public class OneMaxNew : SingleObjectiveBasicProblem<BinaryEncoding> {
     public override bool Maximization {
       get { return true; }
Index: /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable/3.3/New/SingleObjectiveBasicProblem.cs
===================================================================
--- /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable/3.3/New/SingleObjectiveBasicProblem.cs	(revision 11813)
+++ /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable/3.3/New/SingleObjectiveBasicProblem.cs	(revision 11814)
@@ -32,16 +32,16 @@
 namespace HeuristicLab.Problems.Programmable {
   [StorableClass]
-  public abstract class SingleObjectiveProgrammableProblem<TEncoding> : ProgrammableProblem<TEncoding, SingleObjectiveEvaluator>,
+  public abstract class SingleObjectiveBasicProblem<TEncoding> : BasicProblem<TEncoding, SingleObjectiveEvaluator>,
     ISingleObjectiveProblemDefinition, ISingleObjectiveHeuristicOptimizationProblem
   where TEncoding : class, IEncoding {
     [StorableConstructor]
-    protected SingleObjectiveProgrammableProblem(bool deserializing) : base(deserializing) { }
+    protected SingleObjectiveBasicProblem(bool deserializing) : base(deserializing) { }
 
-    protected SingleObjectiveProgrammableProblem(SingleObjectiveProgrammableProblem<TEncoding> original, Cloner cloner)
+    protected SingleObjectiveBasicProblem(SingleObjectiveBasicProblem<TEncoding> original, Cloner cloner)
       : base(original, cloner) {
       ParameterizeOperators();
     }
 
-    protected SingleObjectiveProgrammableProblem()
+    protected SingleObjectiveBasicProblem()
       : base() {
       Parameters.Add(new FixedValueParameter<BoolValue>("Maximization", "Set to false if the problem should be minimized.", new BoolValue()));
Index: /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable/3.3/New/SingleObjectiveProgrammableProblem.cs
===================================================================
--- /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable/3.3/New/SingleObjectiveProgrammableProblem.cs	(revision 11814)
+++ /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable/3.3/New/SingleObjectiveProgrammableProblem.cs	(revision 11814)
@@ -0,0 +1,106 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Optimization;
+using HeuristicLab.Parameters;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+
+namespace HeuristicLab.Problems.Programmable {
+  [Item("Programmable Problem (single-objective)", "Represents a single-objective problem that can be programmed with a script.")]
+  [Creatable("1 Test")]
+  [StorableClass]
+  public sealed class SingleObjectiveProgrammableProblem : SingleObjectiveBasicProblem<IEncoding> {
+
+    private FixedValueParameter<SingleObjectiveProblemDefinitionScript> SingleObjectiveProblemScriptParameter {
+      get { return (FixedValueParameter<SingleObjectiveProblemDefinitionScript>)Parameters["ProblemScript"]; }
+    }
+
+    public SingleObjectiveProblemDefinitionScript ProblemScript {
+      get { return SingleObjectiveProblemScriptParameter.Value; }
+    }
+
+    public ISingleObjectiveProblemDefinition ProblemDefinition {
+      get { return SingleObjectiveProblemScriptParameter.Value; }
+    }
+
+    private SingleObjectiveProgrammableProblem(SingleObjectiveProgrammableProblem original, Cloner cloner)
+      : base(original, cloner) {
+      RegisterEvents();
+      try {
+        ProblemScript.Compile();
+      }
+      catch (InvalidOperationException) {
+        //Compilation error
+      }
+    }
+    public override IDeepCloneable Clone(Cloner cloner) { return new SingleObjectiveProgrammableProblem(this, cloner); }
+
+
+    [StorableConstructor]
+    private SingleObjectiveProgrammableProblem(bool deserializing) : base(deserializing) { }
+
+    public SingleObjectiveProgrammableProblem()
+      : base() {
+      Parameters.Add(new FixedValueParameter<SingleObjectiveProblemDefinitionScript>("ProblemScript", "Defines the problem.", new SingleObjectiveProblemDefinitionScript() { Name = Name }));
+      RegisterEvents();
+
+
+    }
+
+    [StorableHook(HookType.AfterDeserialization)]
+    private void AfterDeserialization() {
+      RegisterEvents();
+      try {
+        ProblemScript.Compile();
+      }
+      catch (InvalidOperationException) {
+        //Compilation error
+      }
+    }
+
+    private void RegisterEvents() {
+      ProblemScript.ProblemDefinitionChanged += (o, e) => OnProblemDefinitionChanged();
+    }
+
+    private void OnProblemDefinitionChanged() {
+      Encoding = ProblemDefinition.Encoding;
+    }
+
+    public override bool Maximization {
+      get { return ProblemDefinition.Maximization; }
+    }
+
+    public override double Evaluate(Individual individual, IRandom random) {
+      return ProblemDefinition.Evaluate(individual, random);
+    }
+
+    public override void Analyze(Individual[] individuals, double[] qualities, ResultCollection results) {
+      ProblemDefinition.Analyze(individuals, qualities, results);
+    }
+    public override IEnumerable<Individual> GetNeighbors(Individual individual, IRandom random) {
+      return ProblemDefinition.GetNeighbors(individual, random);
+    }
+  }
+}
Index: anches/ProgrammableProblem/HeuristicLab.Problems.Programmable/3.3/New/SingleObjectiveScriptableProblem.cs
===================================================================
--- /branches/ProgrammableProblem/HeuristicLab.Problems.Programmable/3.3/New/SingleObjectiveScriptableProblem.cs	(revision 11813)
+++ 	(revision )
@@ -1,106 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Collections.Generic;
-using HeuristicLab.Common;
-using HeuristicLab.Core;
-using HeuristicLab.Optimization;
-using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-
-namespace HeuristicLab.Problems.Programmable {
-  [Item("Scriptable Problem (single-objective)", "Represents a single-objective problem that can be scripted.")]
-  [Creatable("1 Test")]
-  [StorableClass]
-  public sealed class SingleObjectiveScriptableProblem : SingleObjectiveProgrammableProblem<IEncoding> {
-
-    private FixedValueParameter<SingleObjectiveProblemDefinitionScript> SingleObjectiveProblemScriptParameter {
-      get { return (FixedValueParameter<SingleObjectiveProblemDefinitionScript>)Parameters["ProblemScript"]; }
-    }
-
-    public SingleObjectiveProblemDefinitionScript ProblemScript {
-      get { return SingleObjectiveProblemScriptParameter.Value; }
-    }
-
-    public ISingleObjectiveProblemDefinition ProblemDefinition {
-      get { return SingleObjectiveProblemScriptParameter.Value; }
-    }
-
-    private SingleObjectiveScriptableProblem(SingleObjectiveScriptableProblem original, Cloner cloner)
-      : base(original, cloner) {
-      RegisterEvents();
-      try {
-        ProblemScript.Compile();
-      }
-      catch (InvalidOperationException) {
-        //Compilation error
-      }
-    }
-    public override IDeepCloneable Clone(Cloner cloner) { return new SingleObjectiveScriptableProblem(this, cloner); }
-
-
-    [StorableConstructor]
-    private SingleObjectiveScriptableProblem(bool deserializing) : base(deserializing) { }
-
-    public SingleObjectiveScriptableProblem()
-      : base() {
-      Parameters.Add(new FixedValueParameter<SingleObjectiveProblemDefinitionScript>("ProblemScript", "Defines the problem.", new SingleObjectiveProblemDefinitionScript() { Name = Name }));
-      RegisterEvents();
-
-
-    }
-
-    [StorableHook(HookType.AfterDeserialization)]
-    private void AfterDeserialization() {
-      RegisterEvents();
-      try {
-        ProblemScript.Compile();
-      }
-      catch (InvalidOperationException) {
-        //Compilation error
-      }
-    }
-
-    private void RegisterEvents() {
-      ProblemScript.ProblemDefinitionChanged += (o, e) => OnProblemDefinitionChanged();
-    }
-
-    private void OnProblemDefinitionChanged() {
-      Encoding = ProblemDefinition.Encoding;
-    }
-
-    public override bool Maximization {
-      get { return ProblemDefinition.Maximization; }
-    }
-
-    public override double Evaluate(Individual individual, IRandom random) {
-      return ProblemDefinition.Evaluate(individual, random);
-    }
-
-    public override void Analyze(Individual[] individuals, double[] qualities, ResultCollection results) {
-      ProblemDefinition.Analyze(individuals, qualities, results);
-    }
-    public override IEnumerable<Individual> GetNeighbors(Individual individual, IRandom random) {
-      return ProblemDefinition.GetNeighbors(individual, random);
-    }
-  }
-}
